Main Page Class List Class Members

# Nv::Blast::ExtGroupTaskManagerImpl Class Reference

`#include <NvBlastExtPxTaskImpl.h>`

Inheritance diagram for Nv::Blast::ExtGroupTaskManagerImpl:

List of all members.

## Public Member Functions
| ExtGroupTaskManagerImpl (physx::PxTaskManager &taskManager, TkGroup *group)
virtual uint32_t | process (uint32_t) override
virtual void | release () override
virtual void | setGroup (TkGroup *) override
virtual bool | wait (bool block) override

## Detailed Description

Implements ExtGroupTaskManager

## Constructor & Destructor Documentation

Nv::Blast::ExtGroupTaskManagerImpl::ExtGroupTaskManagerImpl | ( | physx::PxTaskManager & | taskManager,
|  | TkGroup * | group |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual uint32_t Nv::Blast::ExtGroupTaskManagerImpl::process | ( | uint32_t | workerCount | ) | `[override, virtual]`

Start processing the group. The parallelizing strategy is to have all worker tasks running concurrently. The number of started tasks may be smaller than the requested value, when the task manager's dispatcher thread count or the number of group jobs are smaller.

Parameters:

  `[in]` | workerCount | The number of worker tasks to start, 0 uses the dispatcher's worker thread count.

Returns:
  The number of worker tasks started. If 0, processing did not start and wait() will never return true.

Implements Nv::Blast::ExtGroupTaskManager.

virtual void Nv::Blast::ExtGroupTaskManagerImpl::release | ( |  | ) | `[override, virtual]`

Release this object.

Implements Nv::Blast::ExtGroupTaskManager.

virtual void Nv::Blast::ExtGroupTaskManagerImpl::setGroup | ( | TkGroup * |  | ) | `[override, virtual]`

Set the group to process. Cannot be changed while a group being processed.

Implements Nv::Blast::ExtGroupTaskManager.

virtual bool Nv::Blast::ExtGroupTaskManagerImpl::wait | ( | bool | block | ) | `[override, virtual]`

Wait for the group to end processing. When processing has finished, TkGroup::endProcess is executed.

Parameters:

  `[in]` | block | true: does not return until the group has been processed. false: return immediately if workers are still processing the group.

Returns:
  true if group processing was completed (and the group was actually processing)

Implements Nv::Blast::ExtGroupTaskManager.

The documentation for this class was generated from the following file:

- sdk/extensions/physx/source/physics/NvBlastExtPxTaskImpl.h